Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendarAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendarAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendarAuxiliary.cs	(revision 51)
@@ -21,10 +21,6 @@
     {
         #region 定数
         /// <summary>
-        /// 曜日文字
-        /// </summary>
-        public static string[] s_DayOfTheWeek = new string[] { "日", "月", "火", "水", "木", "金", "土" };
-        /// <summary>
         /// カラムポジション
         /// </summary>
         public static int[] s_ColumnPosision = new int[] { 3, 43, 83, 123, 163, 203, 243 };
@@ -77,7 +73,7 @@
                                 case 0:
                                     m_CalendPage.MonthryData[i].lblWeekTitle[ix] = new Label();
                                     // 曜日表示
-                                    m_CalendPage.MonthryData[i].lblWeekTitle[ix].Text = s_DayOfTheWeek[ix];
+                                    m_CalendPage.MonthryData[i].lblWeekTitle[ix].Text = CommonDefine.DayOfTheWeekString[ix];
                                     m_CalendPage.MonthryData[i].lblWeekTitle[ix].TextAlign = ContentAlignment.MiddleCenter;
 
                                     break;
@@ -561,8 +557,8 @@
         /// <returns></returns>
         private bool DispFeildCheck()
         {
-            int iNGno = 0;
-            int iLength = 0;
+            //int iNGno = 0;
+            //int iLength = 0;
             try
             {
                 // 対象年度
@@ -569,16 +565,16 @@
                 //if (txtInput01.Text.Length != 0) iLength++;
                 //if (!CommonMotions.DispFieldIntCheck(txtInput01, true)) iNGno = 1;
 
-                if (iLength == 0)
-                {
-                    MessageBox.Show("データが入力されていません、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
-                    return false;
-                }
-                if (iNGno != 0)
-                {
-                    MessageBox.Show("対象年度に入力エラーがあります、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
-                    return false;
-                }
+                //if (iLength == 0)
+                //{
+                //    MessageBox.Show("データが入力されていません、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                //    return false;
+                //}
+                //if (iNGno != 0)
+                //{
+                //    MessageBox.Show("対象年度に入力エラーがあります、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                //    return false;
+                //}
 
                 return true;
             }
@@ -602,8 +598,10 @@
                 // 当年度取得
                 int ToYear = CommonMotions.SystemMasterData.ConstructionYear;
 
-                string strSQL = "SELECT DATE_FORMAT(Holiday ,'YYYY'), COUNT(*) FROM HOLIDAYCALENDERMASTER";
-                strSQL += " GROUP BY DATE_FORMAT(Holiday ,'YYYY') ORDER BY DATE_FORMAT(Holiday ,'YYYY')";
+                //string strSQL = "SELECT TO_CHAR(Holiday ,'YYYY'), COUNT(*) FROM HOLIDAYCALENDERMASTER";
+                //strSQL += " GROUP BY TO_CHAR(Holiday ,'YYYY') ORDER BY TO_CHAR(Holiday ,'YYYY')";
+                string strSQL = "SELECT DATE_FORMAT(Holiday ,'%Y'), COUNT(*) FROM HOLIDAYCALENDERMASTER";
+                strSQL += " GROUP BY DATE_FORMAT(Holiday ,'%Y') ORDER BY DATE_FORMAT(Holiday ,'%Y')";
 
                 ArrayList arList = new ArrayList();
                 int Max = 0;
@@ -663,5 +661,23 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.cs	(revision 51)
@@ -121,9 +121,23 @@
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -211,6 +225,12 @@
             // フィールドロック
             ControlLock(false);
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // フラグ初期化
             m_bChengeAns = false;
             m_bInitFlg = false;
@@ -285,6 +305,8 @@
                 // データ登録
                 if (!ComponentMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("積算大項目データ");
+
                 // フィールドロック
                 ControlLock(false);
 
@@ -347,6 +369,8 @@
                 // 関連情報を削除する
                 clinkDB.DeleteAction(strSQL);
 
+                CommonMotions.RemoveEndMessage("積算大項目データ");
+
                 // フィールドロック
                 ControlLock(false);
 
@@ -469,9 +493,16 @@
             // 更新データ取得
             DispMentenanceData();
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // フォーカスセット
             m_dispControl[(int)DispControl.ComponentName].Focus();
 
+            m_bChengeAns = false;
         }
         #endregion
 
@@ -960,7 +991,10 @@
                     ((ComboBox)m_dispControl[(int)DispControl.SubItems]).SelectedValue = wrklist[0].SubitemsFlg;        // 下位項目
                     ((ComboBox)m_dispControl[(int)DispControl.DirectInput]).SelectedValue = wrklist[0].DirectInputFlg;  // 直接入力許可
                     ((ComboBox)m_dispControl[(int)DispControl.MyExpenses]).SelectedValue = wrklist[0].MyExpensesFlg;    // 自社経費
-                    m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringEdit;                    // ”修正”
+                    if (m_EditLock)
+                        m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringRef;                 // ”参照”
+                    else
+                        m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringEdit;                // ”修正”
 
                     // 編集前退避
                     m_dispControl[(int)DispControl.BeforeComponentName].Text = wrklist[0].ComponentName.ToString();     // 工種名称
@@ -1059,5 +1093,27 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnDataLineEntry.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.designer.cs	(revision 51)
@@ -124,7 +124,7 @@
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 5;
-            this.btnDataDelete.Text = "削　除";
+            this.btnDataDelete.Text = "内容削除";
             this.btnDataDelete.UseVisualStyleBackColor = false;
             this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
             // 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs	(revision 51)
@@ -113,9 +113,23 @@
         /// 表示コントロール保持配列
         /// </summary>
         private Control[] m_dispControl = new Control[1];
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -195,6 +209,12 @@
             // フィールドロック
             ControlLock(false);
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // フラグ初期化
             m_bChengeAns = false;
         }
@@ -245,6 +265,8 @@
                 // データ登録
                 if (!ComponentLinkMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("大項目・中項目関連データ");
+
                 // フィールドロック
                 ControlLock(false);
 
@@ -307,6 +329,8 @@
 
                 linkDB.commit();
 
+                CommonMotions.RemoveEndMessage("大項目・中項目関連データ");
+
                 // フィールドロック
                 ControlLock(false);
 
@@ -388,6 +412,12 @@
             // 更新データ取得
             DispMentenanceData();
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // フォーカスセット
             m_dispControl[(int)DispControl.WorkList].Focus();
 
@@ -854,5 +884,28 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnLineAdd.Visible = false;
+                btnLineDel.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.designer.cs	(revision 51)
@@ -29,16 +29,16 @@
         /// </summary>
         private void InitializeComponent()
         {
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle11 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle12 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle13 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle14 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle15 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle16 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle17 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle18 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle19 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle20 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle9 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle10 = new System.Windows.Forms.DataGridViewCellStyle();
             this.btnDataEntry = new System.Windows.Forms.Button();
             this.label1 = new System.Windows.Forms.Label();
             this.btnDataDelete = new System.Windows.Forms.Button();
@@ -100,7 +100,7 @@
             this.btnDataDelete.Name = "btnDataDelete";
             this.btnDataDelete.Size = new System.Drawing.Size(120, 30);
             this.btnDataDelete.TabIndex = 5;
-            this.btnDataDelete.Text = "削　除";
+            this.btnDataDelete.Text = "内容削除";
             this.btnDataDelete.UseVisualStyleBackColor = false;
             this.btnDataDelete.Click += new System.EventHandler(this.btnDataDelete_Click);
             // 
@@ -153,14 +153,14 @@
             this.dgvItemList.AllowUserToResizeRows = false;
             this.dgvItemList.BackgroundColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
             this.dgvItemList.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle11.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle11.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle11.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle11.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle11.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle11.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvItemList.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle11;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvItemList.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
             this.dgvItemList.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgvItemList.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
             this.dataGridViewTextBoxColumn1,
@@ -179,10 +179,10 @@
             // dataGridViewTextBoxColumn1
             // 
             this.dataGridViewTextBoxColumn1.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.None;
-            dataGridViewCellStyle12.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle12.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle12.ForeColor = System.Drawing.Color.Black;
-            this.dataGridViewTextBoxColumn1.DefaultCellStyle = dataGridViewCellStyle12;
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle2.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle2.ForeColor = System.Drawing.Color.Black;
+            this.dataGridViewTextBoxColumn1.DefaultCellStyle = dataGridViewCellStyle2;
             this.dataGridViewTextBoxColumn1.Frozen = true;
             this.dataGridViewTextBoxColumn1.HeaderText = "№";
             this.dataGridViewTextBoxColumn1.Name = "dataGridViewTextBoxColumn1";
@@ -201,10 +201,10 @@
             // 
             // dataGridViewTextBoxColumn4
             // 
-            dataGridViewCellStyle13.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            dataGridViewCellStyle13.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle13.ForeColor = System.Drawing.Color.Black;
-            this.dataGridViewTextBoxColumn4.DefaultCellStyle = dataGridViewCellStyle13;
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle3.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle3.ForeColor = System.Drawing.Color.Black;
+            this.dataGridViewTextBoxColumn4.DefaultCellStyle = dataGridViewCellStyle3;
             this.dataGridViewTextBoxColumn4.Frozen = true;
             this.dataGridViewTextBoxColumn4.HeaderText = "中項目名称";
             this.dataGridViewTextBoxColumn4.MaxInputLength = 50;
@@ -278,14 +278,14 @@
             this.dgvComponentList.AllowUserToResizeRows = false;
             this.dgvComponentList.BackgroundColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
             this.dgvComponentList.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle14.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle14.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle14.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle14.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle14.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle14.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle14.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvComponentList.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle14;
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle4.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle4.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle4.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle4.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle4.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle4.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvComponentList.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle4;
             this.dgvComponentList.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgvComponentList.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
             this.Column0,
@@ -308,9 +308,9 @@
             // Column0
             // 
             this.Column0.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.None;
-            dataGridViewCellStyle15.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle15.ForeColor = System.Drawing.Color.Black;
-            this.Column0.DefaultCellStyle = dataGridViewCellStyle15;
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle5.ForeColor = System.Drawing.Color.Black;
+            this.Column0.DefaultCellStyle = dataGridViewCellStyle5;
             this.Column0.Frozen = true;
             this.Column0.HeaderText = "№";
             this.Column0.Name = "Column0";
@@ -320,8 +320,8 @@
             // 
             // Column1
             // 
-            dataGridViewCellStyle16.ForeColor = System.Drawing.Color.Black;
-            this.Column1.DefaultCellStyle = dataGridViewCellStyle16;
+            dataGridViewCellStyle6.ForeColor = System.Drawing.Color.Black;
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle6;
             this.Column1.Frozen = true;
             this.Column1.HeaderText = "構成キー";
             this.Column1.Name = "Column1";
@@ -332,9 +332,9 @@
             // 
             // Column2
             // 
-            dataGridViewCellStyle17.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            dataGridViewCellStyle17.ForeColor = System.Drawing.Color.Black;
-            this.Column2.DefaultCellStyle = dataGridViewCellStyle17;
+            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle7.ForeColor = System.Drawing.Color.Black;
+            this.Column2.DefaultCellStyle = dataGridViewCellStyle7;
             this.Column2.Frozen = true;
             this.Column2.HeaderText = "大項目名称";
             this.Column2.MaxInputLength = 50;
@@ -345,9 +345,9 @@
             // 
             // Column3
             // 
-            dataGridViewCellStyle18.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle18.ForeColor = System.Drawing.Color.Black;
-            this.Column3.DefaultCellStyle = dataGridViewCellStyle18;
+            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle8.ForeColor = System.Drawing.Color.Black;
+            this.Column3.DefaultCellStyle = dataGridViewCellStyle8;
             this.Column3.Frozen = true;
             this.Column3.HeaderText = "下位";
             this.Column3.Name = "Column3";
@@ -357,10 +357,10 @@
             // 
             // Column4
             // 
-            dataGridViewCellStyle19.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle19.Font = new System.Drawing.Font("ＭＳ ゴシック", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle19.ForeColor = System.Drawing.Color.Black;
-            this.Column4.DefaultCellStyle = dataGridViewCellStyle19;
+            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle9.Font = new System.Drawing.Font("ＭＳ ゴシック", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle9.ForeColor = System.Drawing.Color.Black;
+            this.Column4.DefaultCellStyle = dataGridViewCellStyle9;
             this.Column4.Frozen = true;
             this.Column4.HeaderText = "入力";
             this.Column4.Name = "Column4";
@@ -370,10 +370,10 @@
             // 
             // Column6
             // 
-            dataGridViewCellStyle20.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle20.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle20.ForeColor = System.Drawing.Color.Black;
-            this.Column6.DefaultCellStyle = dataGridViewCellStyle20;
+            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle10.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle10.ForeColor = System.Drawing.Color.Black;
+            this.Column6.DefaultCellStyle = dataGridViewCellStyle10;
             this.Column6.Frozen = true;
             this.Column6.HeaderText = "経費";
             this.Column6.Name = "Column6";
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.cs	(revision 51)
@@ -112,9 +112,23 @@
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -201,6 +215,12 @@
             // フィールドロック
             ControlLock(false);
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // フラグ初期化
             m_bChengeAns = false;
         }
@@ -277,6 +297,8 @@
                 // データ登録
                 if (!ConstructionItemMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("積算中項目データ");
+
                 // フィールドロック
                 ControlLock(false);
 
@@ -352,6 +374,8 @@
                 ciDB.commit();
                 specDB.commit();
 
+                CommonMotions.RemoveEndMessage("積算中項目データ");
+
                 // 2015/11/13 論理削除は使わない
                 //List<ConstructionItemMaster> workList = new List<ConstructionItemMaster>();
                 //// 
@@ -910,16 +934,26 @@
                 if (wrklist.Count != 0)
                 {
                     // データ表示
-                    m_dispControl[(int)DispControl.ItemCode].Text = wrklist[0].ItemCode.ToString();                 // 工種コード
-                    m_dispControl[(int)DispControl.ItemName].Text = wrklist[0].ItemName.ToString();                 // 工種名称
-                    ((ComboBox)m_dispControl[(int)DispControl.SubItems]).SelectedValue = wrklist[0].SubitemsFlg;     // 下位項目
+                    m_dispControl[(int)DispControl.ItemCode].Text = wrklist[0].ItemCode.ToString();                     // 工種コード
+                    m_dispControl[(int)DispControl.ItemName].Text = wrklist[0].ItemName.ToString();                     // 工種名称
+                    ((ComboBox)m_dispControl[(int)DispControl.SubItems]).SelectedValue = wrklist[0].SubitemsFlg;        // 下位項目
                     ((ComboBox)m_dispControl[(int)DispControl.MyExpenses]).SelectedValue = wrklist[0].MyExpensesFlg;    // 自社経費
-                    m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringEdit;                // ”修正”
 
                     // 編集前退避
-                    m_dispControl[(int)DispControl.BeforeItemName].Text = wrklist[0].ItemName.ToString();           // 工種名称
+                    m_dispControl[(int)DispControl.BeforeItemName].Text = wrklist[0].ItemName.ToString();               // 工種名称
+
+                    if (m_EditLock)
+                        m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringRef;                 // 参照
+                    else
+                        m_dispControl[(int)DispControl.EditMode].Text = CommonDefine.EditModeStringEdit;                // 修正
                 }
 
+                // 参照時はデータ変更させない
+                if (m_EditLock)
+                {
+                    ExecReadOnly();
+                }
+
                 m_bChengeAns = false;
             }
             catch (Exception ex)
@@ -987,5 +1021,27 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnDataLineEntry.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
